<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: app/App/App.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_app_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">App.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#ifndef LIBRARYMGR_APP_H</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#define LIBRARYMGR_APP_H</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;QObject&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &quot;../../streams/IOStream/IOStream.h&quot;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &quot;../../auth/OAuth/OAuth.h&quot;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &quot;../Settings/Settings.h&quot;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &quot;../../gui/Gui/Gui.h&quot;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &quot;../Library/Library.h&quot;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="class_app.html">   34</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_app.html">App</a> : <span class="keyword">public</span> QObject {</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;Q_OBJECT</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <a class="code" href="class_app.html#acb8cbf3e285b91d0170ffe87df5989c5">App</a>();</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <a class="code" href="class_app.html#a34f1f253b1cef5f4ecbac66eaf6964ec">~App</a>();</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a45e80958bad2ae75a2a152028a66021c">start</a>();</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_app.html#a900dabc81284917251bf65cf02a10238">signIn</a>(QString username, QString password);</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_app.html#a6e2eed8708f30842c9fe21d6e7f8c2ad">signUp</a>(<a class="code" href="class_user.html">User</a> user, QString password);</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a9414caa053cecdd2003a1a0e814fbfbf">exit</a>();</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="keyword">public</span> slots:</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    <span class="comment">// login</span></div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a3547c0bf6c689478d9781dbc315c6fe2">getSignInRequest</a>(QString username, QString password);</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a2dc1c243593f67504105bcd8f917018a">getSignUpRequest</a>(<a class="code" href="class_user.html">User</a> user, QString password);</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    <span class="comment">// user dialog</span></div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a1e6b27df393ed7162d82b3ceaa3d0036">getDetailsAboutBookRequest</a>(QString isbn);</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a35d8eeb482a72b8bc517301df42f461b">getSearchBookRequest</a>(QString <span class="keywordtype">id</span>, QString title);</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a630f288d3e698df9c898b73abf26e4c1">getWishlistRequest</a>();</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#ad6d0a410e062f4052e894a09f90d9632">getLoansRequest</a>();</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a079b8f04977200368a2869fdabecc526">getAddBookToWishlistRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a62be77312050a6eb5187c2a8bc660527">getRemoveBookFromWishlistRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a37e7f5fefeab4fffa69fadd39fd90069">getReserveBookRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#abb37556b20fa5f30cb0a1630bd14d2e6">getReturnBookRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a07a8fdd168baba27511a3ec921a57885">getCurrentUserRequest</a>();</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#af90b1b0b5e3d063f3b467d2ef2cdd1c4">getUserRequest</a>(QString username);</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#ab6b8c9c3dacae9b5cf530383d9fa8e96">getEditUserRequest</a>(<a class="code" href="class_user.html">User</a> user, <span class="keywordtype">bool</span> isAdmin, QString password);</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a16170255cab4026e3a7b9a5807f8e2eb">getImportWishlistFromFileRequest</a>(QString pathToFileToImport);</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#aa45cdef0c89abdbbd7865d757e3fd6a2">getExportWishlistFromFileRequest</a>(QString pathToFileToExport);</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;    <span class="comment">// admin dialog</span></div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;    <span class="comment">// books</span></div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#ad076e2326cccb5f48449ce015f694792">getAddBookToLibraryRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a24a7d5ef7b7941dfd1004caf3901282c">getEditBookInLibraryRequest</a>(QString oldBookIsbn, <a class="code" href="class_book.html">Book</a> newBook);</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a1f898eff011d912bba9fff0b06db9576">getRemoveBookFromLibraryRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;    <span class="comment">// users</span></div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#af964cb73a390693499bf310073ded36e">getSearchUserRequest</a>(QString <span class="keywordtype">id</span>, QString name);</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;</div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a7d80b7c6b5980b9e5c93d544a08843d9">getAddUserToLibraryRequest</a>(<a class="code" href="class_user.html">User</a> user, <span class="keywordtype">bool</span> makeAdmin);</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#aef852e147ecc4f6ce5a4a7f8489e2a3a">getEditUserInLibraryRequest</a>(QString oldId, <a class="code" href="class_user.html">User</a> newUser, <span class="keywordtype">bool</span> isAdmin, QString newPassword);</div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#ad26cb7d47bae0262adaece7e3f887658">getRemoveUserFromLibraryRequest</a>(<a class="code" href="class_user.html">User</a> user);</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;signals:</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a5277de83d654625f2ff9998cb751a1b8">sendCurrentUserAdminStatus</a>(<span class="keywordtype">bool</span> isCurrentUserAnAdmin);</div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;    <span class="comment">// login</span></div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;</div><div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a062013a314f850580362f5fa4aaa64e5">sendSignInRequestResult</a>(<span class="keywordtype">bool</span> signInOk);</div><div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;</div><div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#aa75d5e63f7bfb3c1ca27641faeab2800">sendSignUpRequestResult</a>(<span class="keywordtype">bool</span> signUpOk);</div><div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;</div><div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;    <span class="comment">// user dialog</span></div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;</div><div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#af3497d402d908ef1de7744fe33af4966">sendDetailsAboutBookRequestResult</a>(<a class="code" href="class_book.html">Book</a> book, <span class="keywordtype">bool</span> isReservedByUser, <span class="keywordtype">bool</span> isInUserWishlist);</div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;</div><div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#aa3fee2aff6169956359f840fcd155bc8">sendSearchBookRequestResult</a>(std::vector&lt;Book&gt; books);</div><div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;</div><div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a7960a336b7fa8d282b6e4121395c1b38">sendWishlistRequestResult</a>(std::vector&lt;Book&gt; books);</div><div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;</div><div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a7996508e24f143e870ce308a63f17255">sendLoansRequestResult</a>(std::vector&lt;Book&gt; books);</div><div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160;</div><div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#ab62537a268c86459241d09350f47634d">sendAddBookToWishlistRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160;</div><div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a90b57e1203e8e94ab9365e4ad9147e88">sendRemoveBookFromWishlistRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;</div><div class="line"><a name="l00288"></a><span class="lineno">  288</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a985d8e47297cadaeac565fbf3e026e9f">sendReserveBookRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00289"></a><span class="lineno">  289</span>&#160;</div><div class="line"><a name="l00294"></a><span class="lineno">  294</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#aef598bb6789958852f0a7de36b9a6e12">sendReturnBookRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00295"></a><span class="lineno">  295</span>&#160;</div><div class="line"><a name="l00301"></a><span class="lineno">  301</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#abbf3f23886cdc301a0c20503dd19a810">sendUserRequestResult</a>(<a class="code" href="class_user.html">User</a> user, <span class="keywordtype">bool</span> isAdmin);</div><div class="line"><a name="l00302"></a><span class="lineno">  302</span>&#160;</div><div class="line"><a name="l00307"></a><span class="lineno">  307</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a27f24a2acf9db5f000234076e3d203c1">sendEditUserRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00308"></a><span class="lineno">  308</span>&#160;</div><div class="line"><a name="l00313"></a><span class="lineno">  313</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#afd2b7006fe1c750629e8f88f3826e74b">sendImportWishlistFromFileRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00314"></a><span class="lineno">  314</span>&#160;</div><div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a32d88c7547d4ca59aa268dcb9a1c78b5">sendExportWishlistFromFileRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160;</div><div class="line"><a name="l00321"></a><span class="lineno">  321</span>&#160;    <span class="comment">// admin dialog</span></div><div class="line"><a name="l00322"></a><span class="lineno">  322</span>&#160;    <span class="comment">// books</span></div><div class="line"><a name="l00323"></a><span class="lineno">  323</span>&#160;</div><div class="line"><a name="l00328"></a><span class="lineno">  328</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a2c2f532509588e6060ae04fdbbed21cc">sendAddBookToLibraryRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00329"></a><span class="lineno">  329</span>&#160;</div><div class="line"><a name="l00334"></a><span class="lineno">  334</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#ac925c4f2baf8a64d2ebf232439979a37">sendEditBookInLibraryRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00335"></a><span class="lineno">  335</span>&#160;</div><div class="line"><a name="l00340"></a><span class="lineno">  340</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a3acb6b7206bc412c1dfb04ee5d5c9769">sendRemoveBookFromLibraryRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00341"></a><span class="lineno">  341</span>&#160;</div><div class="line"><a name="l00342"></a><span class="lineno">  342</span>&#160;    <span class="comment">// users</span></div><div class="line"><a name="l00343"></a><span class="lineno">  343</span>&#160;    <span class="comment">// results</span></div><div class="line"><a name="l00344"></a><span class="lineno">  344</span>&#160;</div><div class="line"><a name="l00349"></a><span class="lineno">  349</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a4ce3bdbf1ca6d36aa405867f50711afd">sendSearchUserRequestResult</a>(std::vector&lt;User&gt; users);</div><div class="line"><a name="l00350"></a><span class="lineno">  350</span>&#160;</div><div class="line"><a name="l00355"></a><span class="lineno">  355</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a7df689f27e02f71c4ee41a391f3822b7">sendAddUserToLibraryRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00356"></a><span class="lineno">  356</span>&#160;</div><div class="line"><a name="l00361"></a><span class="lineno">  361</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a2c09216637aa69c1db71a005f003bb63">sendEditUserInLibraryRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00362"></a><span class="lineno">  362</span>&#160;</div><div class="line"><a name="l00367"></a><span class="lineno">  367</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_app.html#a40b2071c35b8707b451dc1c2aa9595f7">sendRemoveUserFromLibraryRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00368"></a><span class="lineno">  368</span>&#160;</div><div class="line"><a name="l00369"></a><span class="lineno">  369</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00370"></a><span class="lineno">  370</span>&#160;    <a class="code" href="class_user.html">User</a> *user;  <span class="comment">// current user logged in</span></div><div class="line"><a name="l00371"></a><span class="lineno">  371</span>&#160;    <a class="code" href="class_o_auth.html">OAuth</a> oAuth;  <span class="comment">// authentication manager</span></div><div class="line"><a name="l00372"></a><span class="lineno">  372</span>&#160;    <a class="code" href="class_gui.html">Gui</a> *gui;  <span class="comment">// user interface</span></div><div class="line"><a name="l00373"></a><span class="lineno">  373</span>&#160;    <a class="code" href="class_library.html">Library</a> library;  <span class="comment">// &quot;backend&quot;: model of library with users and books</span></div><div class="line"><a name="l00374"></a><span class="lineno">  374</span>&#160;    <a class="code" href="class_i_o_stream.html">IOStream</a> io;  <span class="comment">// file I/O stream manager</span></div><div class="line"><a name="l00375"></a><span class="lineno">  375</span>&#160;</div><div class="line"><a name="l00376"></a><span class="lineno">  376</span>&#160;    <span class="comment">// app</span></div><div class="line"><a name="l00377"></a><span class="lineno">  377</span>&#160;</div><div class="line"><a name="l00381"></a><span class="lineno">  381</span>&#160;    <span class="keywordtype">void</span> connectSignalsSlots();</div><div class="line"><a name="l00382"></a><span class="lineno">  382</span>&#160;</div><div class="line"><a name="l00386"></a><span class="lineno">  386</span>&#160;    <span class="keywordtype">void</span> loadAppData();</div><div class="line"><a name="l00387"></a><span class="lineno">  387</span>&#160;</div><div class="line"><a name="l00391"></a><span class="lineno">  391</span>&#160;    <span class="keywordtype">void</span> saveAppData();</div><div class="line"><a name="l00392"></a><span class="lineno">  392</span>&#160;</div><div class="line"><a name="l00393"></a><span class="lineno">  393</span>&#160;    <span class="comment">// login</span></div><div class="line"><a name="l00394"></a><span class="lineno">  394</span>&#160;</div><div class="line"><a name="l00398"></a><span class="lineno">  398</span>&#160;    <span class="keywordtype">void</span> addDefaultAdminLogin();</div><div class="line"><a name="l00399"></a><span class="lineno">  399</span>&#160;</div><div class="line"><a name="l00403"></a><span class="lineno">  403</span>&#160;    <span class="keywordtype">void</span> addSampleBooks();</div><div class="line"><a name="l00404"></a><span class="lineno">  404</span>&#160;</div><div class="line"><a name="l00408"></a><span class="lineno">  408</span>&#160;    <span class="keywordtype">void</span> addSampleUsers();</div><div class="line"><a name="l00409"></a><span class="lineno">  409</span>&#160;</div><div class="line"><a name="l00410"></a><span class="lineno">  410</span>&#160;    <span class="comment">// user</span></div><div class="line"><a name="l00411"></a><span class="lineno">  411</span>&#160;</div><div class="line"><a name="l00416"></a><span class="lineno">  416</span>&#160;    <span class="keywordtype">bool</span> isCurrentUserAnAdmin();</div><div class="line"><a name="l00417"></a><span class="lineno">  417</span>&#160;</div><div class="line"><a name="l00424"></a><span class="lineno">  424</span>&#160;    <span class="keywordtype">bool</span> editUser(<a class="code" href="class_user.html">User</a> *user, <a class="code" href="class_user.html">User</a> newUser);</div><div class="line"><a name="l00425"></a><span class="lineno">  425</span>&#160;</div><div class="line"><a name="l00434"></a><span class="lineno">  434</span>&#160;    <span class="keywordtype">bool</span> editUserAndChangeAdminStatus(QString oldId, <a class="code" href="class_user.html">User</a> newUser, <span class="keywordtype">bool</span> makeAdmin, QString newPassword);</div><div class="line"><a name="l00435"></a><span class="lineno">  435</span>&#160;</div><div class="line"><a name="l00442"></a><span class="lineno">  442</span>&#160;    <span class="keywordtype">bool</span> editUserUsername(<a class="code" href="class_user.html">User</a> *user, std::string newUserName);</div><div class="line"><a name="l00443"></a><span class="lineno">  443</span>&#160;</div><div class="line"><a name="l00450"></a><span class="lineno">  450</span>&#160;    <span class="keywordtype">bool</span> editUserPassword(<a class="code" href="class_user.html">User</a> *user, std::string newPassword);</div><div class="line"><a name="l00451"></a><span class="lineno">  451</span>&#160;</div><div class="line"><a name="l00457"></a><span class="lineno">  457</span>&#160;    <span class="keywordtype">bool</span> removeUser(<a class="code" href="class_user.html">User</a> user);</div><div class="line"><a name="l00458"></a><span class="lineno">  458</span>&#160;</div><div class="line"><a name="l00463"></a><span class="lineno">  463</span>&#160;    std::vector&lt;Book&gt; getCurrentUserWishlist();</div><div class="line"><a name="l00464"></a><span class="lineno">  464</span>&#160;};</div><div class="line"><a name="l00465"></a><span class="lineno">  465</span>&#160;</div><div class="line"><a name="l00466"></a><span class="lineno">  466</span>&#160;</div><div class="line"><a name="l00467"></a><span class="lineno">  467</span>&#160;<span class="preprocessor">#endif //LIBRARYMGR_APP_H</span></div><div class="ttc" id="class_app_html_afd2b7006fe1c750629e8f88f3826e74b"><div class="ttname"><a href="class_app.html#afd2b7006fe1c750629e8f88f3826e74b">App::sendImportWishlistFromFileRequestResult</a></div><div class="ttdeci">void sendImportWishlistFromFileRequestResult(bool ok)</div></div>
<div class="ttc" id="class_app_html_aa45cdef0c89abdbbd7865d757e3fd6a2"><div class="ttname"><a href="class_app.html#aa45cdef0c89abdbbd7865d757e3fd6a2">App::getExportWishlistFromFileRequest</a></div><div class="ttdeci">void getExportWishlistFromFileRequest(QString pathToFileToExport)</div><div class="ttdef"><b>Definition:</b> App.cpp:546</div></div>
<div class="ttc" id="class_app_html_a079b8f04977200368a2869fdabecc526"><div class="ttname"><a href="class_app.html#a079b8f04977200368a2869fdabecc526">App::getAddBookToWishlistRequest</a></div><div class="ttdeci">void getAddBookToWishlistRequest(Book book)</div><div class="ttdef"><b>Definition:</b> App.cpp:265</div></div>
<div class="ttc" id="class_app_html_a5277de83d654625f2ff9998cb751a1b8"><div class="ttname"><a href="class_app.html#a5277de83d654625f2ff9998cb751a1b8">App::sendCurrentUserAdminStatus</a></div><div class="ttdeci">void sendCurrentUserAdminStatus(bool isCurrentUserAnAdmin)</div></div>
<div class="ttc" id="class_app_html_a35d8eeb482a72b8bc517301df42f461b"><div class="ttname"><a href="class_app.html#a35d8eeb482a72b8bc517301df42f461b">App::getSearchBookRequest</a></div><div class="ttdeci">void getSearchBookRequest(QString id, QString title)</div><div class="ttdef"><b>Definition:</b> App.cpp:245</div></div>
<div class="ttc" id="class_book_html"><div class="ttname"><a href="class_book.html">Book</a></div><div class="ttdoc">Library book with author, ISBN and status. </div><div class="ttdef"><b>Definition:</b> Book.h:28</div></div>
<div class="ttc" id="class_app_html_a37e7f5fefeab4fffa69fadd39fd90069"><div class="ttname"><a href="class_app.html#a37e7f5fefeab4fffa69fadd39fd90069">App::getReserveBookRequest</a></div><div class="ttdeci">void getReserveBookRequest(Book book)</div><div class="ttdef"><b>Definition:</b> App.cpp:325</div></div>
<div class="ttc" id="class_app_html_a2dc1c243593f67504105bcd8f917018a"><div class="ttname"><a href="class_app.html#a2dc1c243593f67504105bcd8f917018a">App::getSignUpRequest</a></div><div class="ttdeci">void getSignUpRequest(User user, QString password)</div><div class="ttdef"><b>Definition:</b> App.cpp:128</div></div>
<div class="ttc" id="class_app_html_ad6d0a410e062f4052e894a09f90d9632"><div class="ttname"><a href="class_app.html#ad6d0a410e062f4052e894a09f90d9632">App::getLoansRequest</a></div><div class="ttdeci">void getLoansRequest()</div><div class="ttdef"><b>Definition:</b> App.cpp:356</div></div>
<div class="ttc" id="class_app_html_a1f898eff011d912bba9fff0b06db9576"><div class="ttname"><a href="class_app.html#a1f898eff011d912bba9fff0b06db9576">App::getRemoveBookFromLibraryRequest</a></div><div class="ttdeci">void getRemoveBookFromLibraryRequest(Book book)</div><div class="ttdef"><b>Definition:</b> App.cpp:411</div></div>
<div class="ttc" id="class_app_html_a40b2071c35b8707b451dc1c2aa9595f7"><div class="ttname"><a href="class_app.html#a40b2071c35b8707b451dc1c2aa9595f7">App::sendRemoveUserFromLibraryRequestResult</a></div><div class="ttdeci">void sendRemoveUserFromLibraryRequestResult(bool ok)</div></div>
<div class="ttc" id="class_app_html_a27f24a2acf9db5f000234076e3d203c1"><div class="ttname"><a href="class_app.html#a27f24a2acf9db5f000234076e3d203c1">App::sendEditUserRequestResult</a></div><div class="ttdeci">void sendEditUserRequestResult(bool ok)</div></div>
<div class="ttc" id="class_app_html_a7996508e24f143e870ce308a63f17255"><div class="ttname"><a href="class_app.html#a7996508e24f143e870ce308a63f17255">App::sendLoansRequestResult</a></div><div class="ttdeci">void sendLoansRequestResult(std::vector&lt; Book &gt; books)</div></div>
<div class="ttc" id="class_i_o_stream_html"><div class="ttname"><a href="class_i_o_stream.html">IOStream</a></div><div class="ttdef"><b>Definition:</b> IOStream.h:42</div></div>
<div class="ttc" id="class_app_html_a6e2eed8708f30842c9fe21d6e7f8c2ad"><div class="ttname"><a href="class_app.html#a6e2eed8708f30842c9fe21d6e7f8c2ad">App::signUp</a></div><div class="ttdeci">bool signUp(User user, QString password)</div><div class="ttdef"><b>Definition:</b> App.cpp:60</div></div>
<div class="ttc" id="class_app_html_a16170255cab4026e3a7b9a5807f8e2eb"><div class="ttname"><a href="class_app.html#a16170255cab4026e3a7b9a5807f8e2eb">App::getImportWishlistFromFileRequest</a></div><div class="ttdeci">void getImportWishlistFromFileRequest(QString pathToFileToImport)</div><div class="ttdef"><b>Definition:</b> App.cpp:527</div></div>
<div class="ttc" id="class_app_html_ac925c4f2baf8a64d2ebf232439979a37"><div class="ttname"><a href="class_app.html#ac925c4f2baf8a64d2ebf232439979a37">App::sendEditBookInLibraryRequestResult</a></div><div class="ttdeci">void sendEditBookInLibraryRequestResult(bool ok)</div></div>
<div class="ttc" id="class_user_html"><div class="ttname"><a href="class_user.html">User</a></div><div class="ttdef"><b>Definition:</b> User.h:31</div></div>
<div class="ttc" id="class_app_html_a62be77312050a6eb5187c2a8bc660527"><div class="ttname"><a href="class_app.html#a62be77312050a6eb5187c2a8bc660527">App::getRemoveBookFromWishlistRequest</a></div><div class="ttdeci">void getRemoveBookFromWishlistRequest(Book book)</div><div class="ttdef"><b>Definition:</b> App.cpp:274</div></div>
<div class="ttc" id="class_app_html_a45e80958bad2ae75a2a152028a66021c"><div class="ttname"><a href="class_app.html#a45e80958bad2ae75a2a152028a66021c">App::start</a></div><div class="ttdeci">void start()</div><div class="ttdoc">start open app </div><div class="ttdef"><b>Definition:</b> App.cpp:32</div></div>
<div class="ttc" id="class_app_html_a1e6b27df393ed7162d82b3ceaa3d0036"><div class="ttname"><a href="class_app.html#a1e6b27df393ed7162d82b3ceaa3d0036">App::getDetailsAboutBookRequest</a></div><div class="ttdeci">void getDetailsAboutBookRequest(QString isbn)</div><div class="ttdef"><b>Definition:</b> App.cpp:348</div></div>
<div class="ttc" id="class_app_html_a062013a314f850580362f5fa4aaa64e5"><div class="ttname"><a href="class_app.html#a062013a314f850580362f5fa4aaa64e5">App::sendSignInRequestResult</a></div><div class="ttdeci">void sendSignInRequestResult(bool signInOk)</div></div>
<div class="ttc" id="class_app_html_a7960a336b7fa8d282b6e4121395c1b38"><div class="ttname"><a href="class_app.html#a7960a336b7fa8d282b6e4121395c1b38">App::sendWishlistRequestResult</a></div><div class="ttdeci">void sendWishlistRequestResult(std::vector&lt; Book &gt; books)</div></div>
<div class="ttc" id="class_app_html_ab62537a268c86459241d09350f47634d"><div class="ttname"><a href="class_app.html#ab62537a268c86459241d09350f47634d">App::sendAddBookToWishlistRequestResult</a></div><div class="ttdeci">void sendAddBookToWishlistRequestResult(bool ok)</div></div>
<div class="ttc" id="class_app_html_a7d80b7c6b5980b9e5c93d544a08843d9"><div class="ttname"><a href="class_app.html#a7d80b7c6b5980b9e5c93d544a08843d9">App::getAddUserToLibraryRequest</a></div><div class="ttdeci">void getAddUserToLibraryRequest(User user, bool makeAdmin)</div><div class="ttdef"><b>Definition:</b> App.cpp:435</div></div>
<div class="ttc" id="class_app_html_abb37556b20fa5f30cb0a1630bd14d2e6"><div class="ttname"><a href="class_app.html#abb37556b20fa5f30cb0a1630bd14d2e6">App::getReturnBookRequest</a></div><div class="ttdeci">void getReturnBookRequest(Book book)</div><div class="ttdef"><b>Definition:</b> App.cpp:339</div></div>
<div class="ttc" id="class_app_html_a2c2f532509588e6060ae04fdbbed21cc"><div class="ttname"><a href="class_app.html#a2c2f532509588e6060ae04fdbbed21cc">App::sendAddBookToLibraryRequestResult</a></div><div class="ttdeci">void sendAddBookToLibraryRequestResult(bool ok)</div></div>
<div class="ttc" id="class_gui_html"><div class="ttname"><a href="class_gui.html">Gui</a></div><div class="ttdoc">Manages UI for the app. </div><div class="ttdef"><b>Definition:</b> Gui.h:31</div></div>
<div class="ttc" id="class_app_html_a3acb6b7206bc412c1dfb04ee5d5c9769"><div class="ttname"><a href="class_app.html#a3acb6b7206bc412c1dfb04ee5d5c9769">App::sendRemoveBookFromLibraryRequestResult</a></div><div class="ttdeci">void sendRemoveBookFromLibraryRequestResult(bool ok)</div></div>
<div class="ttc" id="class_app_html_af90b1b0b5e3d063f3b467d2ef2cdd1c4"><div class="ttname"><a href="class_app.html#af90b1b0b5e3d063f3b467d2ef2cdd1c4">App::getUserRequest</a></div><div class="ttdeci">void getUserRequest(QString username)</div><div class="ttdef"><b>Definition:</b> App.cpp:484</div></div>
<div class="ttc" id="class_o_auth_html"><div class="ttname"><a href="class_o_auth.html">OAuth</a></div><div class="ttdef"><b>Definition:</b> OAuth.h:30</div></div>
<div class="ttc" id="class_app_html_ad26cb7d47bae0262adaece7e3f887658"><div class="ttname"><a href="class_app.html#ad26cb7d47bae0262adaece7e3f887658">App::getRemoveUserFromLibraryRequest</a></div><div class="ttdeci">void getRemoveUserFromLibraryRequest(User user)</div><div class="ttdef"><b>Definition:</b> App.cpp:450</div></div>
<div class="ttc" id="class_app_html_a2c09216637aa69c1db71a005f003bb63"><div class="ttname"><a href="class_app.html#a2c09216637aa69c1db71a005f003bb63">App::sendEditUserInLibraryRequestResult</a></div><div class="ttdeci">void sendEditUserInLibraryRequestResult(bool ok)</div></div>
<div class="ttc" id="class_app_html_aef598bb6789958852f0a7de36b9a6e12"><div class="ttname"><a href="class_app.html#aef598bb6789958852f0a7de36b9a6e12">App::sendReturnBookRequestResult</a></div><div class="ttdeci">void sendReturnBookRequestResult(bool ok)</div></div>
<div class="ttc" id="class_app_html_abbf3f23886cdc301a0c20503dd19a810"><div class="ttname"><a href="class_app.html#abbf3f23886cdc301a0c20503dd19a810">App::sendUserRequestResult</a></div><div class="ttdeci">void sendUserRequestResult(User user, bool isAdmin)</div></div>
<div class="ttc" id="class_app_html_a90b57e1203e8e94ab9365e4ad9147e88"><div class="ttname"><a href="class_app.html#a90b57e1203e8e94ab9365e4ad9147e88">App::sendRemoveBookFromWishlistRequestResult</a></div><div class="ttdeci">void sendRemoveBookFromWishlistRequestResult(bool ok)</div></div>
<div class="ttc" id="class_app_html_ab6b8c9c3dacae9b5cf530383d9fa8e96"><div class="ttname"><a href="class_app.html#ab6b8c9c3dacae9b5cf530383d9fa8e96">App::getEditUserRequest</a></div><div class="ttdeci">void getEditUserRequest(User user, bool isAdmin, QString password)</div><div class="ttdef"><b>Definition:</b> App.cpp:383</div></div>
<div class="ttc" id="class_app_html"><div class="ttname"><a href="class_app.html">App</a></div><div class="ttdoc">MVC controller class Has backend and frontend parts: controls and make them interact. </div><div class="ttdef"><b>Definition:</b> App.h:34</div></div>
<div class="ttc" id="class_app_html_af964cb73a390693499bf310073ded36e"><div class="ttname"><a href="class_app.html#af964cb73a390693499bf310073ded36e">App::getSearchUserRequest</a></div><div class="ttdeci">void getSearchUserRequest(QString id, QString name)</div><div class="ttdef"><b>Definition:</b> App.cpp:418</div></div>
<div class="ttc" id="class_app_html_a32d88c7547d4ca59aa268dcb9a1c78b5"><div class="ttname"><a href="class_app.html#a32d88c7547d4ca59aa268dcb9a1c78b5">App::sendExportWishlistFromFileRequestResult</a></div><div class="ttdeci">void sendExportWishlistFromFileRequestResult(bool ok)</div></div>
<div class="ttc" id="class_app_html_aef852e147ecc4f6ce5a4a7f8489e2a3a"><div class="ttname"><a href="class_app.html#aef852e147ecc4f6ce5a4a7f8489e2a3a">App::getEditUserInLibraryRequest</a></div><div class="ttdeci">void getEditUserInLibraryRequest(QString oldId, User newUser, bool isAdmin, QString newPassword)</div><div class="ttdef"><b>Definition:</b> App.cpp:480</div></div>
<div class="ttc" id="class_app_html_a34f1f253b1cef5f4ecbac66eaf6964ec"><div class="ttname"><a href="class_app.html#a34f1f253b1cef5f4ecbac66eaf6964ec">App::~App</a></div><div class="ttdeci">~App()</div><div class="ttdef"><b>Definition:</b> App.cpp:28</div></div>
<div class="ttc" id="class_app_html_aa3fee2aff6169956359f840fcd155bc8"><div class="ttname"><a href="class_app.html#aa3fee2aff6169956359f840fcd155bc8">App::sendSearchBookRequestResult</a></div><div class="ttdeci">void sendSearchBookRequestResult(std::vector&lt; Book &gt; books)</div></div>
<div class="ttc" id="class_app_html_ad076e2326cccb5f48449ce015f694792"><div class="ttname"><a href="class_app.html#ad076e2326cccb5f48449ce015f694792">App::getAddBookToLibraryRequest</a></div><div class="ttdeci">void getAddBookToLibraryRequest(Book book)</div><div class="ttdef"><b>Definition:</b> App.cpp:392</div></div>
<div class="ttc" id="class_app_html_a900dabc81284917251bf65cf02a10238"><div class="ttname"><a href="class_app.html#a900dabc81284917251bf65cf02a10238">App::signIn</a></div><div class="ttdeci">bool signIn(QString username, QString password)</div><div class="ttdef"><b>Definition:</b> App.cpp:36</div></div>
<div class="ttc" id="class_app_html_a985d8e47297cadaeac565fbf3e026e9f"><div class="ttname"><a href="class_app.html#a985d8e47297cadaeac565fbf3e026e9f">App::sendReserveBookRequestResult</a></div><div class="ttdeci">void sendReserveBookRequestResult(bool ok)</div></div>
<div class="ttc" id="class_app_html_acb8cbf3e285b91d0170ffe87df5989c5"><div class="ttname"><a href="class_app.html#acb8cbf3e285b91d0170ffe87df5989c5">App::App</a></div><div class="ttdeci">App()</div><div class="ttdef"><b>Definition:</b> App.cpp:22</div></div>
<div class="ttc" id="class_app_html_a630f288d3e698df9c898b73abf26e4c1"><div class="ttname"><a href="class_app.html#a630f288d3e698df9c898b73abf26e4c1">App::getWishlistRequest</a></div><div class="ttdeci">void getWishlistRequest()</div><div class="ttdef"><b>Definition:</b> App.cpp:261</div></div>
<div class="ttc" id="class_app_html_a9414caa053cecdd2003a1a0e814fbfbf"><div class="ttname"><a href="class_app.html#a9414caa053cecdd2003a1a0e814fbfbf">App::exit</a></div><div class="ttdeci">void exit()</div><div class="ttdef"><b>Definition:</b> App.cpp:73</div></div>
<div class="ttc" id="class_app_html_a7df689f27e02f71c4ee41a391f3822b7"><div class="ttname"><a href="class_app.html#a7df689f27e02f71c4ee41a391f3822b7">App::sendAddUserToLibraryRequestResult</a></div><div class="ttdeci">void sendAddUserToLibraryRequestResult(bool ok)</div></div>
<div class="ttc" id="class_app_html_a3547c0bf6c689478d9781dbc315c6fe2"><div class="ttname"><a href="class_app.html#a3547c0bf6c689478d9781dbc315c6fe2">App::getSignInRequest</a></div><div class="ttdeci">void getSignInRequest(QString username, QString password)</div><div class="ttdef"><b>Definition:</b> App.cpp:124</div></div>
<div class="ttc" id="class_app_html_a4ce3bdbf1ca6d36aa405867f50711afd"><div class="ttname"><a href="class_app.html#a4ce3bdbf1ca6d36aa405867f50711afd">App::sendSearchUserRequestResult</a></div><div class="ttdeci">void sendSearchUserRequestResult(std::vector&lt; User &gt; users)</div></div>
<div class="ttc" id="class_app_html_a24a7d5ef7b7941dfd1004caf3901282c"><div class="ttname"><a href="class_app.html#a24a7d5ef7b7941dfd1004caf3901282c">App::getEditBookInLibraryRequest</a></div><div class="ttdeci">void getEditBookInLibraryRequest(QString oldBookIsbn, Book newBook)</div><div class="ttdef"><b>Definition:</b> App.cpp:401</div></div>
<div class="ttc" id="class_app_html_a07a8fdd168baba27511a3ec921a57885"><div class="ttname"><a href="class_app.html#a07a8fdd168baba27511a3ec921a57885">App::getCurrentUserRequest</a></div><div class="ttdeci">void getCurrentUserRequest()</div><div class="ttdef"><b>Definition:</b> App.cpp:388</div></div>
<div class="ttc" id="class_app_html_aa75d5e63f7bfb3c1ca27641faeab2800"><div class="ttname"><a href="class_app.html#aa75d5e63f7bfb3c1ca27641faeab2800">App::sendSignUpRequestResult</a></div><div class="ttdeci">void sendSignUpRequestResult(bool signUpOk)</div></div>
<div class="ttc" id="class_library_html"><div class="ttname"><a href="class_library.html">Library</a></div><div class="ttdoc">model of library with users and books </div><div class="ttdef"><b>Definition:</b> Library.h:31</div></div>
<div class="ttc" id="class_app_html_af3497d402d908ef1de7744fe33af4966"><div class="ttname"><a href="class_app.html#af3497d402d908ef1de7744fe33af4966">App::sendDetailsAboutBookRequestResult</a></div><div class="ttdeci">void sendDetailsAboutBookRequestResult(Book book, bool isReservedByUser, bool isInUserWishlist)</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d422163b96683743ed3963d4aac17747.html">app</a></li><li class="navelem"><a class="el" href="dir_f79d8da276c0ae89bf39860e1e94afa0.html">App</a></li><li class="navelem"><b>App.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
